| QxOrm 1.4.5 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- File List
- File Members

Classes | Namespaces | Defines | Typedefs | Functions
QxSqlQuery.h File Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

Define a user SQL query added to default SQL query builded by QxOrm library, and used by qx::dao::xxx functions to filter elements fetched from database. More...

`#include <boost/serialization/serialization.hpp>`
`#include <boost/serialization/split_free.hpp>`
`#include <boost/serialization/nvp.hpp>`
`#include <QtCore/qdatastream.h>`
`#include <QtCore/qjsonvalue.h>`
`#include <QtCore/qjsonobject.h>`
`#include <QtCore/qjsonarray.h>`
`#include <QtCore/qjsondocument.h>`
`#include <QtSql/qsqlquery.h>`
`#include <QxCollection/QxCollection.h>`
`#include <QxDao/QxSqlElement/QxSqlElement.h>`
`#include <QxSerialize/QxSerializeFastCompil.h>`
`#include <QxTraits/get_class_name.h>`
`#include <QxRegister/QxVersion.h>`
`#include <QxConvert/QxConvert.h>`

Go to the source code of this file.

## Classes
class | qx::QxSqlQuery
| qx::QxSqlQuery : define a user SQL query added to default SQL query builded by QxOrm library, and used by qx::dao::xxx functions to filter elements fetched from database More...
struct | qx::QxSqlQuery::QxSqlResult
## Namespaces
namespace | qx
| Root namespace for all QxOrm library features.
namespace | boost
namespace | boost::serialization
namespace | qx::cvt
| Provide global functions to convert any kind of objects to/from QString and QVariant format.
namespace | qx::cvt::detail
| Internal helper tools for qx::cvt namespace.
namespace | qx::dao
| Database communication used by persistence engine (ORM - Object Relational Mapping)
namespace | qx::dao::helper
## Defines
#define | QX_SQL_QUERY_DERIVED_IMPL_COVARIANT_RETURN_TYPE_HPP(className)
#define | QX_SQL_QUERY_DERIVED_IMPL_COVARIANT_RETURN_TYPE_CPP(className)
## Typedefs
typedef qx::QxSqlQuery | qx_query
## Functions
template<class Archive >
void | boost::serialization::qx_save (Archive &ar, const qx::QxSqlQuery &t, const unsigned int file_version)
template<class Archive >
void | boost::serialization::qx_load (Archive &ar, qx::QxSqlQuery &t, const unsigned int file_version)
QX_DLL_EXPORT QDataStream & | operator<< (QDataStream &stream, const qx::QxSqlQuery &t) QX_USED
QX_DLL_EXPORT QDataStream & | operator>> (QDataStream &stream, qx::QxSqlQuery &t) QX_USED
QX_DLL_EXPORT QJsonValue | qx::cvt::detail::QxConvert_ToJson_Helper (const qx::QxSqlQuery &t, const QString &format) QX_USED
QX_DLL_EXPORT qx_bool | qx::cvt::detail::QxConvert_FromJson_Helper (const QJsonValue &j, qx::QxSqlQuery &t, const QString &format) QX_USED
QX_DLL_EXPORT QSqlError | qx::dao::call_query (qx::QxSqlQuery &query, QSqlDatabase *pDatabase=NULL)
| qx::dao::call_query function can be used to call a custom SQL query or a stored procedure
QX_DLL_EXPORT QSqlError | qx::dao::call_query_without_prepare (qx::QxSqlQuery &query, QSqlDatabase *pDatabase=NULL)
| qx::dao::call_query_without_prepare function can be used to call a custom SQL query or a stored procedure : same as qx::dao::call_query() function without calling prepare() QSqlQuery class method (can be useful to execute some specific SQL queries)
QX_DLL_EXPORT QSqlError | qx::dao::helper::call_query_helper (qx::QxSqlQuery &query, QSqlDatabase *pDatabase, bool bPrepare)

## Detailed Description

Define a user SQL query added to default SQL query builded by QxOrm library, and used by qx::dao::xxx functions to filter elements fetched from database.

Author:
  Lionel Marty

Definition in file QxSqlQuery.h.

## Define Documentation

#define QX_SQL_QUERY_DERIVED_IMPL_COVARIANT_RETURN_TYPE_CPP | ( |  | className | ) |

Definition at line 595 of file QxSqlQuery.h.

#define QX_SQL_QUERY_DERIVED_IMPL_COVARIANT_RETURN_TYPE_HPP | ( |  | className | ) |

Definition at line 498 of file QxSqlQuery.h.

## Typedef Documentation

typedef qx::QxSqlQuery qx_query

Definition at line 446 of file QxSqlQuery.h.

## Function Documentation

QX_DLL_EXPORT QDataStream& operator<< | ( | QDataStream & | stream,
|  | const qx::QxSqlQuery & | t
| ) |  |

QX_DLL_EXPORT QDataStream& operator>> | ( | QDataStream & | stream,
|  | qx::QxSqlQuery & | t
| ) |  |